package com.wzy.auth.feign;

import com.wzy.common.domain.User;
import com.wzy.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient("wzy-user")
public interface UserFeignService {

    @PostMapping("/login/{userName}")
    Result<User> login(@PathVariable String userName);
}
