package com.wzy.auth.service;

import com.wzy.common.domain.User;
import com.wzy.common.domain.request.LoginRequest;
import com.wzy.common.domain.response.JwtResponse;
import com.wzy.common.result.Result;

public interface AuthService {
    Result<JwtResponse> login(LoginRequest loginRequest);

    User userInfo();

    void logout();
}
